<?php if (!defined('VSF_BLOCK_DIR')) die("Denied");

include_once('vsf_simple_block.php');
include_once('vsf_simple_block_setup.php');
include_once('vsf_simple_block_port_i.php');
include_once('vsf_simple_block_rule.php');
include_once('vsf_simple_block_rules.php');

/** Relies on php 5+ */
class VSFSimpleBlockExport implements IVSFSimpleBlockPort
{
	private $tablePrefix = "";
	
	function generateExport()
	{
		global $wpdb;
		$this->tablePrefix = $wpdb->prefix;
				
		$rules_query_result = mysql_query("SELECT " 
				. BlockSetup::$TABLE_RULES_RULE . ", " 
				. BlockSetup::$TABLE_RULES_TYPE . ", " 
				. BlockSetup::$TABLE_RULES_IP1 . ", " 
				. BlockSetup::$TABLE_RULES_IP2 . ", " 
				. BlockSetup::$TABLE_RULES_HOST . ", " 
				. BlockSetup::$TABLE_RULES_BROWSER_KEYWORD . ", " 
				. BlockSetup::$TABLE_RULES_DESCRIPTION 
				. " FROM " . $this->tablePrefix . BlockSetup::$TABLE_RULES . 
				" ORDER BY " . BlockSetup::$TABLE_RULES_ID . " ASC");
		
		$rules = array();
		$x = 0;
		while ( $c = mysql_fetch_row($rules_query_result) )
		{
			$vsfSimpleBlockRule = new VSFSimpleBlockRule($c[0], $c[1], $c[2], $c[3], $c[4], $c[5], $c[6]);
			$rules[$x++] = $vsfSimpleBlockRule;
		}
		
		$vsfSimpleBlockRules = new VSFSimpleBlockRules(mysql_num_rows($rules_query_result), $rules);
				
		$xml = new SimpleXMLElement("<" . self::ROOT_ELEMENT . "></" . self::ROOT_ELEMENT . ">");
		$vsfSimpleBlockRules->addRuleToXML($xml);
				
		header(XML_HEADER);
			
		$now = gmdate('Y-m-d H:i');
		header('Content-Disposition: attachment; filename="VSF block rules ' . $now . '.xml"');
		
		echo $xml->asXML();
		
		exit;
	}
}

?>